Subject: RE: (ngtrans) draft-wiljakka-3gpp-ipv6-transition-00.txt

From: "Karim El-Malki (EAB)" <[email-masked]>
Date: Mon, 22 Jul 2002 13:55:54 +0200

> 1/ IMS is IPv6-only
 > As far as I know IMS will be used to managed SIP signalling. 
 > If you installed a dual-stack SIP proxy at IMS border,that 
 > proxy will be able to contact external IPv4-only proxies.

The dual-stack SIP proxy would need to use a SIP ALG to allow
communication between IMS IPv6 and non-IMS IPv4 hosts (more below).

 > 
 > 2/ SIP can transport IPv4 and IPv6 addresses
 > Moreover SIP might be compared to a DNS service as far as it 
 > can resolve name of correspondents in addresses. So even if 
 > you send a request (or an INVITE by using SIP) by using IPv6 
 > transport, you may receive a reply (or an ACK by using SIP) 
 > by IPv6 transport but with an answer that proposes you IPv4 
 > addresses.

It can only involve IPv6 addresses, that's why you would use
a SIP ALG as above.

 > 
 > I mean :
 > A node sends "I want to contact [email-masked]" query using IPv6.
 > Same node receives "[email-masked] is 192.168.168.192" reply 
 > using IPv6.
 > Same node use then its IPv4 stack to contact [email-masked]...

This is not possible since all 3GPP IMS communication (signalling
and traffic) runs over IPv6 (see below). Node A would get back an IPv6
address (e.g. PREFIX::192.168.168.192) which can be translated
to IPv4 by a translator box.

 > 
 > I still think that if UEs and an IMS border proxy are dual 
 > stack, no translation mechanism is needed. 
 > 
 > 3/ SIP signalling and data traffic must be handled by 
 > distinct PDP contexts
 > Whatever you have to activate another PDP context for data 
 > traffic, why not using IPv4 in this one?

The different PDP Contexts you are referring to are "secondary"
PDP Contexts to have different L2 QoS reservations, but they use
either the same IPv6 address or different IPv6 addresses on the same link
(i.e. stateless autoconfig on a /64 prefix). Therefore the same IPv6
link is used for signalling and traffic. There is a good description of how
to map an IPv6 link to 3GPP PDP Contexts in draft-ietf-ipv6-3gpp-recommend-02.

/Karim

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 22 Jul 2002 14:26:03 +0200

> to IPv4 by a translator box.

But is there any reason that IP packet translation is needed, rather than
an application level proxy running on a dual stack? 

   Brian

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Distinguished Engineer, Internet Standards & Technology, IBM 
On assignment at the IBM Zurich Laboratory, Switzerland